#!/bin/bash

BASE=.$$images.h
FINAL=images.h

export PATH=$PATH:build:.

# echo $PATH

ansi-to-src skull.ans > $BASE
ansi-to-src skull-blink.ans >> $BASE
ansi-to-src ghead.ans >> $BASE
ansi-to-src ghost.ans >> $BASE
ansi-to-src wolf.ans >> $BASE
ansi-to-src panther.ans >> $BASE
ansi-to-src bat.ans >> $BASE
ansi-to-src icu.ans >> $BASE

# workaround
if [ -f "$FINAL" ]; then
  # file exists
  diff -q $BASE $FINAL
  status=$?
  if [ $status -eq 0 ]; then
    echo "no change..."
    # Clean up temp file
    rm -f $BASE    
  else
    mv -f $BASE $FINAL
  fi	  
else  
  # file doesn't exist, so no choice by to copy it over.	
  mv -f $BASE $FINAL
fi	

